CREATE TABLE IF NOT EXISTS `amiserv5`.`callbacks` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `created` INT NOT NULL,
  `number` VARCHAR(45) NOT NULL,
  `from` VARCHAR(45) NOT NULL,
  `to` VARCHAR(45) NOT NULL,
  `time` INT NOT NULL,
  `result` ENUM('pending', 'done', 'cancel') NOT NULL DEFAULT 'pending',
  PRIMARY KEY (`id`))
ENGINE = MyISAM;


SET @dbname = "supervision3";
SET @tablename = "profiles";
SET @columnname = "execpath";
SET @columntype = "MEDIUMTEXT";
SET @columndefault = "NOT NULL";
SET @aftercolumn = "disablequeueintercept";
SET @preparedStatement = (SELECT IF(
  (
    SELECT COUNT(*) FROM INFORMATION_SCHEMA.COLUMNS
    WHERE
      (table_name = @tablename)
      AND (table_schema = @dbname)
      AND (column_name = @columnname)
  ) > 0,
  "SELECT 'Patch already applied' as 'result'",
  CONCAT("ALTER TABLE ", @dbname, ".", @tablename, " ADD ", @columnname, " ", @columntype, " ", @columndefault, " AFTER `", @aftercolumn, "`;")
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;
