
SET @preparedStatement = (SELECT IF(
  (
    SELECT count(*) FROM INFORMATION_SCHEMA.STATISTICS
    WHERE table_schema='asterisk'
    AND table_name = 'cdr'
    AND index_name='cdr_3'

  ) > 0,
  "SELECT 'Patch already applied' as 'result'",
  "ALTER TABLE `asterisk`.`cdr` ADD INDEX `cdr_3` (`destination` ASC, `calldate` ASC)"
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;


SET @preparedStatement = (SELECT IF(
  (
    SELECT count(*) FROM INFORMATION_SCHEMA.STATISTICS
    WHERE table_schema='asterisk'
    AND table_name = 'cdr'
    AND index_name='cdr_4'

  ) > 0,
  "SELECT 'Patch already applied' as 'result'",
  "ALTER TABLE `asterisk`.`cdr` ADD INDEX `cdr_4` (`linkedid` ASC, `disposition` ASC)"
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;



SET @preparedStatement = (SELECT IF(
  (
    SELECT count(*) FROM INFORMATION_SCHEMA.STATISTICS
    WHERE table_schema='amiserv5'
    AND table_name = 'callnotes'
    AND index_name='ilinkedid'

  ) > 0,
  "SELECT 'Patch already applied' as 'result'",
  "ALTER TABLE `amiserv5`.`callnotes` ADD INDEX `ilinkedid` (`linkedid` ASC)"
));
PREPARE alterIfNotExists FROM @preparedStatement;
EXECUTE alterIfNotExists;
DEALLOCATE PREPARE alterIfNotExists;